Name:           wp_tray
Version:        0.5.5
Release:        %mkrel 4
Summary:        A wallpaper-changing applet for GNOME
Group:          Graphical desktop/GNOME
License:        GPL
URL:            http://planetearthworm.com/projects/wp_tray/
Source:         %{name}-%{version}.tar.bz2
Patch0:		wp_tray-0.5.5-fixdirectory.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gettext 
BuildRequires:  libgconfmm2.6_1
BuildRequires:  gnome-panel-devel 
BuildRequires:  libnotify1-devel
BuildRequires:  libboost-devel
BuildRequires:  libgnomeuimm2.6-devel
BuildRequires:  libgnomemm2.6-devel
BuildRequires:  libglademm2.4-devel
BuildRequires:	libwbxml-devel

%description
Wallpaper Tray is a GNOME applet used for changing your wallpaper.

%prep
%setup -q
%patch0 -p1 

%build
%configure2_5x --with-boostfilesystem=%{_libdir}/libboost_filesystem.so \
  --with-boostregex=%{_libdir}/libboost_regex.so
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/wp_tray.schemas > /dev/null  || :
killall -HUP gconfd-2 &>/dev/null || :

%postun
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/wp_tray.schemas >/dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/wp_tray.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.5.5-4pclos2010
- rebuild libboost

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 0.5.5-3pclos2010
- rebuild

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.5.5-2pclos2009
- fix synaptic group
- add BR libxml++2.6_2-devel

* Wed Jul 16 2008 Slick50 <slick50@linuxgator.org> - 0.5.5-1pclos2007
- Imported to PCLinuxOS
